> For the complete documentation index, see [llms.txt](https://docs.fieldmotion.com/fieldmotion-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fieldmotion.com/fieldmotion-api-docs/purchaseorder/_setdeliverycosts.md).

# \_setDeliveryCosts

Set the delivery costs associated with a Purchase order.

### Parameters

#### id&#x20;

*integer*

ID of the purchase order for which the delivery costs will be set

#### delivery\_net

*decimal*&#x20;

The net cost for the delivery

#### delivery\_taxcode

*varchar*

The tax type associated with the delivery cost - this should correspond to a Tax Type in your Chart of Accounts in Fieldmotion

#### delivery\_tax

*float*

The total tax associated with the delivery cost

### Example

```
FM_api('PurchaseOrder_setDeliveryCosts', ['id' => '1', 'delivery_net' => '30', 'delivery_taxcode' => '10', 'delivery_tax' => '2.00'])
```

### Result

#### On Success

```
{"ok":1}
```

#### On Failure

No `delivery_net` parameter&#x20;

```
{"error":"no delivery_net provided"}
```

No `delivery_taxcode` parameter

```
{"error":"no delivery_taxcode provided"}
```

No `delivery_tax` parameter

```
{"error":"no delivery_taxcode provided"}
```

A purchase order with the supplied ID was not found

```
{"error":"invalid purchase order ID supplied"}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/purchaseorder/_setdeliverycosts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
